%define anolis_release 1
%define debug_package %{nil}

%global pypi_name prettytable
%global pypi_version 3.6.0

Name:           python-prettytable
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A simple Python library for easily displaying tabular data in a visually appealing ASCII table format
License:        BSD (3 clause)
URL:            https://pypi.org/project/prettytable/
Source0:        https://files.pythonhosted.org/packages/ba/b6/8e78337766d4c324ac22cb887ecc19487531f508dbf17d922b91492d55bb/prettytable-3.6.0.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch

%global _description\
PrettyTable is a simple Python library designed to make it quick and easy to\
represent tabular data in visually appealing ASCII tables. It was inspired by\
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for\
selection of which columns are to be printed, independent alignment of columns\
(left or right justified or centred) and printing of "sub-tables" by specifying\
a row range.

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%package -n python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files -n python3-%{pypi_name}-doc
%doc README.md CHANGELOG.md

%changelog
* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.6.0-1
- update to version 3.6.0
 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 3.2.0-1
- Init package from upstream v3.2.0
